Package org.apache.catalina.authenticator

## Class DigestAuthenticator.NonceInfo

- java.lang.Object
- - org.apache.catalina.authenticator.DigestAuthenticator.NonceInfo

Enclosing class:
  DigestAuthenticator

    public static class DigestAuthenticator.NonceInfo
    extends java.lang.Object

### Constructor Summary

Constructors
`NonceInfo​(long currentTime, int seenWindowSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getTimestamp()`
`boolean` `nonceCountValid​(long nonceCount)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NonceInfo

    public NonceInfo​(long currentTime,
                     int seenWindowSize)

### Method Detail

#### nonceCountValid

    public boolean nonceCountValid​(long nonceCount)

#### getTimestamp

    public long getTimestamp()